CREATE TABLE IF NOT EXISTS b_delobank_log (
  id INTEGER NOT NULL AUTO_INCREMENT,
  order_id INTEGER DEFAULT NULL,
  session_id VARCHAR(32) DEFAULT NULL,
  action_to VARCHAR(100) NOT NULL,
  action_name VARCHAR(255) NOT NULL,
  url TEXT,
  request_data TEXT,
  response_data TEXT,
  registered_ts INTEGER NOT NULL,
  ip VARCHAR(16) DEFAULT NULL,
  PRIMARY KEY (id)
);
CREATE TABLE IF NOT EXISTS b_delobank_order_qrcode (
  order_id INTEGER NOT NULL,
  message_id CHAR(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  status ENUM('NTST', 'RCVD', 'ACTC', 'ACWP', 'RJCT') NOT NULL DEFAULT 'NTST' COMMENT 'NTST-операции по QR коду не существует, RCVD,ACTC-операция в обработке, ACWP-операция завершена успешно, RJCT-операция отклонена',
  qrc_id VARCHAR(32) DEFAULT NULL,
  qrc_link VARCHAR(255) DEFAULT NULL,
  qrc_extension VARCHAR(4) DEFAULT NULL,
  date_create INTEGER UNSIGNED NOT NULL DEFAULT 1887446261,
  PRIMARY KEY (order_id),
  KEY date_create_status (date_create, status)
);