<?php
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) {
    exit();
}
if (!isset($ID) && isset($ORDER_ID)) {
    $ID = $ORDER_ID;
}
if (!isset($ID)) {
    $ID = (int)$_GET['ORDER_ID'];
}
require_once $_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/sale/payment/delobank/DeloProcessor.php';
if (class_exists('DeloProcessor')) {
    $CSaleOrder = new CSaleOrder();
    $dbOrder = $CSaleOrder->GetList(['ID' => 'DESC'], ['ID' => $ID]);
    $arOrder = $dbOrder->GetNext();
    $paymentSettings = DeloProcessor::getPaymentSettings($arOrder['PAY_SYSTEM_ID'], $arOrder['PERSON_TYPE_ID']);
?>
<div style="margin:30px 0 20px 0">
    <form action="<?php echo $paymentSettings['START_PAYMENT_URL'] ?>" method="GET" id="delobank_form1">
        <input type="hidden" name="o.order_id" value="<?php echo $ID ?>" />
        <input type="hidden" name="o.pay_system_id" value="<?php echo (int)$arOrder['PAY_SYSTEM_ID'] ?>" />
        <input type="hidden" name="o.person_type_id" value="<?php echo (int)$arOrder['PERSON_TYPE_ID'] ?>" />
        <input type="hidden" name="o.plugin" value="payguide_bitrix_16.0.3" />
        <input type="hidden" name="merch_id" value="<?php echo $paymentSettings['SHOP_PCID'] ?>" />
        <input type="hidden" name="back_url_s" value="<?php echo $paymentSettings['SUCCESS_URL'] ?>" />
        <input type="hidden" name="back_url_f" value="<?php echo $paymentSettings['DECLINE_URL'] ?>" />
        <?php if (!empty($paymentSettings['LANG_CODE'])) { ?>
            <input type="hidden" name="lang" value="<?php echo $paymentSettings['LANG_CODE'] ?>" />
        <?php } ?>
        <div>
            <input type="submit" value="Перейти к оплате" class="btn btn-lg btn-default basket-btn-checkout"/>
        </div>
    </form>
</div>
<?php
} else {
?>
    <div>Что-то пошло не так</div>
<?php
}